Orders
Orders Fulfillments Events Create
Create a fulfillment event in an existing order fulfillment.
Authorization
oauth2 orders:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:write
Path Parameters
number*string
fulfillmentId*integer
A unique integer value identifying this fulfillment.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X POST "https://example.com/orders/string/fulfillments/0/events/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "status": "label_printed" }'{ "city": "string", "country": "string", "created_at": "2019-08-24T14:15:22Z", "estimated_delivery_at": "2019-08-24T14:15:22Z", "fulfillment": 0, "happened_at": "2019-08-24T14:15:22Z", "id": 0, "latitude": -90, "line1": "string", "line2": "string", "longitude": -180, "message": "string", "order": "string", "postcode": "string", "state": "string", "status": "label_printed", "updated_at": "2019-08-24T14:15:22Z"}